#ifndef CAMERA_H
#define CAMERA_H

#include "vector/vec.h"
#include "window/window.h"

typedef struct {
  vec3f_t position;
  vec3f_t rotation;
} camera_t;

mat4x4f_t inverse_camera_translation_matrix(const camera_t *camera);
mat4x4f_t inverse_camera_rotation_matrix(const camera_t *camera);

#endif // !CAMERA_H
